summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Donald Cooley2017-12-31 11:07:41 +0100
committer Willy Sudiarto Raharjo2018-01-06 00:55:05 +0100
commit8fcb4e5c61f35537e9e5aaf5810f8afe27af2633 (patch)
tree7364c8f5994ef8f3711733071545a0dd77e46d80 /network
parentefc3963bc55573600212eacb10abc206864d33cd (diff)
downloadslackbuilds-8fcb4e5c61f35537e9e5aaf5810f8afe27af2633.tar.gz
network/waterfox: Added (Web browser).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/waterfox/README23
-rw-r--r--network/waterfox/doinst.sh7
-rw-r--r--network/waterfox/slack-desc19
-rw-r--r--network/waterfox/waterfox.SlackBuild88
-rw-r--r--network/waterfox/waterfox.desktop13
-rw-r--r--network/waterfox/waterfox.info10
6 files changed, 160 insertions, 0 deletions
diff --git a/network/waterfox/README b/network/waterfox/README
new file mode 100644
index 0000000000..b3c73f191f
--- /dev/null
+++ b/network/waterfox/README
@@ -0,0 +1,23 @@
+Waterfox was one of the first widely distributed 64-Bit browsers on
+the Web and quickly gained a loyal following. At one time, Waterfox
+had one thing in mind - speed. But now Waterfox also attempts to be an
+ethical, user-oriented browser.
+
+Features:
+
+ Disabled Encrypted Media Extensions (EME)
+ Disabled Web Runtime (deprecated as of 2015)
+ Removed Pocket
+ Removed Telemetry
+ Removed data collection
+ Removed startup profiling
+ Allow running of all 64-Bit NPAPI plugins
+ Allow running of unsigned extensions
+ Removal of Sponsored Tiles on New Tab Page
+ Addition of Duplicate Tab option
+ Locale selector in about:preferences > General
+
+Waterfox is only available for the x86-64 architecture.
+
+This SlackBuild just repackages the binary package provided by the project.
+It doesn't attempt to build the browser from source.
diff --git a/network/waterfox/doinst.sh b/network/waterfox/doinst.sh
new file mode 100644
index 0000000000..9a8ded3c60
--- /dev/null
+++ b/network/waterfox/doinst.sh
@@ -0,0 +1,7 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
diff --git a/network/waterfox/slack-desc b/network/waterfox/slack-desc
new file mode 100644
index 0000000000..3304c871bc
--- /dev/null
+++ b/network/waterfox/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+waterfox: waterfox (Web browser)
+waterfox:
+waterfox: Waterfox was one of the first widely distributed 64-Bit browsers on
+waterfox: the Web and quickly gained a loyal following. At one time, Waterfox
+waterfox: had one thing in mind - speed. But now Waterfox also attempts to be an
+waterfox: ethical, user-oriented browser
+waterfox:
+waterfox:
+waterfox:
+waterfox: Homepage: https://www.waterfoxproject.org/
+waterfox:
diff --git a/network/waterfox/waterfox.SlackBuild b/network/waterfox/waterfox.SlackBuild
new file mode 100644
index 0000000000..8c1e4a415a
--- /dev/null
+++ b/network/waterfox/waterfox.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for waterfox
+# Copyright 2017 Donald Cooley South Haven, Indiana USA
+
+# Based on the pale moon slackbuild by:
+# Copyright 2015 pomfland
+# Copyright 2017 skaendo <skaendo at excite dot com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=waterfox
+VERSION=${VERSION:-56.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=${ARCH:-x86_64}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Check and then abort if the architecture is 32-bit.
+if [ "$ARCH" != "x86_64" ]; then
+ echo "Sorry, a binary package is only available for x86_64. Aborting."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.en-US.linux-$ARCH.tar.bz2
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Install waterfox into /opt
+mkdir -p $PKG/opt/waterfox
+cp -vr * $PKG/opt/waterfox
+
+# Link stuff
+## binary
+mkdir -p $PKG/usr/bin
+ln -s /opt/waterfox/waterfox $PKG/usr/bin/waterfox
+
+# Install .desktop file
+mkdir -p $PKG/usr/share/applications
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+
+# Icon
+mkdir -p $PKG/usr/share/pixmaps/
+cp $PKG/opt/$PRGNAM/browser/icons/mozicon128.png $PKG/usr/share/pixmaps/waterfox-icon.png
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/waterfox/waterfox.desktop b/network/waterfox/waterfox.desktop
new file mode 100644
index 0000000000..66c468c68f
--- /dev/null
+++ b/network/waterfox/waterfox.desktop
@@ -0,0 +1,13 @@
+[Desktop Entry]
+Version=1.0
+Name=Waterfox Web Browser
+Comment=Browse the World Wide Web
+Keywords=Internet;WWW;Browser;Web;Explorer
+Exec=waterfox %u
+Terminal=false
+X-MultipleArgs=false
+Type=Application
+Icon=waterfox
+Categories=Network;WebBrowser;
+MimeType=text/html;text/xml;application/xhtml+xml;application/xml;application/rss+xml;application/rdf+xml;image/gif;image/jpeg;image/png;x-scheme-handler/http;x-scheme-handler/https;x-scheme-handler/ftp;x-scheme-handler/chrome;video/webm;application/x-xpinstall;
+StartupNotify=true
diff --git a/network/waterfox/waterfox.info b/network/waterfox/waterfox.info
new file mode 100644
index 0000000000..21aba806cb
--- /dev/null
+++ b/network/waterfox/waterfox.info
@@ -0,0 +1,10 @@
+PRGNAM="waterfox"
+VERSION="56.0.1"
+HOMEPAGE="https://www.waterfoxproject.org/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://storage-waterfox.netdna-ssl.com/releases/linux64/installer/waterfox-56.0.1.en-US.linux-x86_64.tar.bz2"
+MD5SUM_x86_64="108c78eadb47c25a50f965549018f068"
+REQUIRES=""
+MAINTAINER="Donald Cooley"
+EMAIL="chytraeu@sdf.org"